# KDChartLegend.cpp File Reference

`#include "KDChartLegend.h"`
`#include "KDChartLegend_p.h"`
`#include <KDChartTextAttributes.h>`
`#include <KDChartMarkerAttributes.h>`
`#include <QFont>`
`#include <QPainter>`
`#include <QTextTableCell>`
`#include <QTextCursor>`
`#include <QTextCharFormat>`
`#include <QTextDocumentFragment>`
`#include <QTimer>`
`#include <QAbstractTextDocumentLayout>`
`#include <QtDebug>`
`#include <QLabel>`
`#include <KDChartAbstractDiagram.h>`
`#include "KDTextDocument.h"`
`#include <KDChartDiagramObserver.h>`
`#include <QGridLayout>`
`#include "KDChartLayoutItems.h"`
`#include <KDABLibFakes>`

Include dependency graph for KDChartLegend.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Define Documentation

#define d d_func()

Definition at line 82 of file KDChartLegend.cpp.